# -*- encoding: utf-8 -*-

from django.contrib import admin

from .models import Subscription, SavedGuilds, Filter, SubChannel, TrackedContent, ArticleMutator, GuildSettings


@admin.register(Subscription)
class SubscriptionAdmin(admin.ModelAdmin):
    list_display = [
        "id", "name", "url", "guild_id",
        "creation_datetime", "active"
    ]

@admin.register(SubChannel)
class SubChannelAdmin(admin.ModelAdmin):
    list_display = [
        "id", "channel_id", "subscription"
    ]


@admin.register(Filter)
class FilterAdmin(admin.ModelAdmin):
    list_display = [
        "id", "name", "guild_id"
    ]


@admin.register(TrackedContent)
class TrackedContentAdmin(admin.ModelAdmin):
    list_display = [
        "guid", "title", "url", "subscription", "blocked", "creation_datetime"
    ]


@admin.register(SavedGuilds)
class SavedGuildAdmin(admin.ModelAdmin):
    list_display = [
        "id", "name", "icon"
    ]


@admin.register(ArticleMutator)
class ArticleMutatorAdmin(admin.ModelAdmin):
    list_display = [
        "id", "name", "value"
    ]

@admin.register(GuildSettings)
class GuildSettingsAdmin(admin.ModelAdmin):
    list_display = [
        "id", "guild_id", "default_embed_colour", "active"
    ]
